Index: tests/array-collections/boxed.main.cfa
===================================================================
--- tests/array-collections/boxed.main.cfa	(revision 28c2c9d5402ae8f3d59f6810a9f090bb832eaad8)
+++ tests/array-collections/boxed.main.cfa	(revision 7d30a1e35b4b053b8de1e100662f28ce1825cf78)
@@ -366,5 +366,6 @@
     SHOW_ACCESS_1D(42)
 }
-char * allocAndAccess_13 ( size_t expectedElmSz, const char * tcid, const char * vart ) { 
+char * allocAndAccess_13 ( size_t expectedElmSz, const char * tcid, const char * vart ) {
+    (void) vart;
     printf("------- 13%s (communication, mono-poly direct, by param T[]): char x[42], expecting %zd-byte elems\n", tcid, expectedElmSz);
     char x[ 42 ] INITARR;
@@ -373,5 +374,6 @@
     return 0p;
 }
-bigun * allocAndAccess_13( size_t expectedElmSz, const char * tcid, const char * vart ) { 
+bigun * allocAndAccess_13( size_t expectedElmSz, const char * tcid, const char * vart ) {
+    (void) vart;
     printf("------- 13%s (communication, mono-poly direct, by param T[]): bigun x[42], expecting %zd-byte elems\n", tcid, expectedElmSz);
     bigun x[ 42 ] INITARR;
@@ -383,9 +385,10 @@
 // ---------- 14, comm, MPD, PARR
 
-forall( T* ) void access_14 ( size_t expectedElmSz, T (*temp)[42] ) { 
+forall( T* ) void access_14 ( size_t expectedElmSz, T (*temp)[42] ) {
     T * x = *temp;
     SHOW_ACCESS_1D(42)
 }
-double * allocAndAccess_14 ( size_t expectedElmSz, const char * tcid, const char * vart ) { 
+double * allocAndAccess_14 ( size_t expectedElmSz, const char * tcid, const char * vart ) {
+    (void) vart;
     printf("------- 13%s (communication, mono-poly direct, by param T(*)[*]): double x[42], expecting %zd-byte elems\n", tcid, expectedElmSz);
     double x[ 42 ] INITARR;
@@ -397,5 +400,5 @@
 // ---------- 15, operators
 
-forall( T* ) void access_15 ( size_t expectedElmSz, T x[] ) {
+forall( T* ) void access_15 ( T x[] ) {
     // correctness of x and ?[?] established by earlier tests
     T * x5 = & x[5];
@@ -414,5 +417,5 @@
 
     ptrdiff_t expPos5 = x5 - x;
-    ptrdiff_t expNeg5 = x - x5;
+//  ptrdiff_t expNeg5 = x - x5;
 
     printf( "?-? +ve off by %zd\n", ((ptrdiff_t) 5) - expPos5 );
@@ -421,8 +424,9 @@
 
 forall( T ) T * allocAndAccess_15 ( size_t expectedElmSz, const char * tcid, const char * vart ) { 
+    (void) expectedElmSz;
     printf("------- 15%s (operators): T x[42], expecting T=%s, got sizeof(T)=%zd, expecting %zd-byte elems\n", tcid, vart, sizeof(T), expectedElmSz);
     T x[ 42 ] INITARR;
     // bookends unused
-    access_15( expectedElmSz, x );
+    access_15( x );
     return 0p;
 }
Index: tests/array-collections/dimexpr-match-c.cfa
===================================================================
--- tests/array-collections/dimexpr-match-c.cfa	(revision 28c2c9d5402ae8f3d59f6810a9f090bb832eaad8)
+++ tests/array-collections/dimexpr-match-c.cfa	(revision 7d30a1e35b4b053b8de1e100662f28ce1825cf78)
@@ -26,7 +26,13 @@
     int mut7 = 7, mut42 = 42;
 
+    // Many are only used in rejection cases, so they are unused in the non-ERRS compilation.
+    (void) cpr7;
+    (void) cpr42;
+    (void) mut7;
+    (void) mut42;
+
     #define TRY_COMPAT( LV, RV )        \
     {                                   \
-        void f( float (*x)[LV] ) {}     \
+        void f( float (*x)[LV] ) { (void) x; }      \
         float a[RV];                    \
         f( & a );                       \
@@ -39,4 +45,5 @@
         float a[RV];                    \
         float (*b)[LV] = & a;           \
+        (void) b;                       \
     }
     ARRANGEMENT( PTRVAR_INIT )
Index: tests/array-collections/dimexpr-match-cfa.cfa
===================================================================
--- tests/array-collections/dimexpr-match-cfa.cfa	(revision 28c2c9d5402ae8f3d59f6810a9f090bb832eaad8)
+++ tests/array-collections/dimexpr-match-cfa.cfa	(revision 7d30a1e35b4b053b8de1e100662f28ce1825cf78)
@@ -45,5 +45,5 @@
 
 forall( [N] )
-void zip( array(float, N) & a, array(float, N) & b ) {}
+void zip( array(float, N) &, array(float, N) & ) {}
 
 DECLN_runTests {
@@ -52,7 +52,13 @@
     int mut7 = 7, mut42 = 42;
 
+    // Many are only used in rejection cases, so they are unused in the non-ERRS compilation.
+    (void) cpr7;
+    (void) cpr42;
+    (void) mut7;
+    (void) mut42;
+
     #define TRY_COMPAT( LV, RV )            \
     {                                       \
-        void f( array(float, LV) * x ) {}   \
+        void f( array(float, LV) * ) {}     \
         array(float, RV) a;                 \
         f( & a );                           \
@@ -65,4 +71,5 @@
         array(float, RV) a;                 \
         array(float, LV) * b = & a;         \
+        (void) b;                           \
     }
     ARRANGEMENT( PTRVAR_INIT )
@@ -80,5 +87,5 @@
     #define TRY_COMPAT( LV, RV )            \
     {                                       \
-        void f( array(float, LV) & x ) {}   \
+        void f( array(float, LV) & ) {}     \
         array(float, RV) a;                 \
         f( a );                             \
@@ -91,4 +98,5 @@
         array(float, RV) a;                 \
         array(float, LV) & b = a;           \
+        (void) b;                           \
     }
     ARRANGEMENT( REFVAR_INIT )
